use serde::Serialize;

#[derive(Serialize, Clone)]
pub struct Person {
    /// Internal id
    pub person_id: i32,
    /// Country-specific id. For now only supports Peru's DNI.
    ///
    /// Example: `74185293`
    pub person_dni: String,
    /// Names
    ///
    /// Example: `Juan Carlos`
    pub person_names: String,
    /// First surname
    ///
    /// Example: `Perez`
    pub person_paternal_surname: String,
    /// Second surname
    ///
    /// Example: `Gomez`
    pub person_maternal_surname: String,
}

impl Person {
    pub fn default() -> Person {
        Person {
            person_id: -1,
            person_dni: "".to_string(),
            person_names: "".to_string(),
            person_paternal_surname: "".to_string(),
            person_maternal_surname: "".to_string(),
        }
    }
}
